Page MenuHomePhabricator

1.40.0-wmf.8 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
jnuche
Release Version
1.40.0-wmf.8
Release Date
Oct 31 2022, 12:00 AM

2022 week 44 1.40-wmf.8 Changes wmf/1.40.0-wmf.8

This MediaWiki Train Deployment is scheduled for the week of Monday, October 31st:

Monday October 31stTuesday, November 1stWednesday, November 2ndThursday, November 3rdFriday
Backports only.Branch wmf.8 and deploy to Group 0 Wikis.Deploy wmf.8 to Group 1 Wikis.Deploy wmf.8 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.8 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.7
Next: 1.40.0-wmf.9

Event Timeline

Risky Patch! 🚂🔥
  • Change: Wikibase, WikibaseQualityConstraints, vendor (T301249)
  • Summary:
    • Why is it risky?
    • We are installing new versions of data-values/* libraries which support __serialize()/__unserialize() in addition to Serializable. This means that PHP will emit a new serialization format when serializing instances of the relevant classes.
    • If any such serializations are saved somewhere (e.g. in a cache), then there might be problems when the train is rolled back to a version with the old libraries, where those serializations then couldn’t be deserialized.
    • We suspect, but cannot guarantee, that these classes aren’t actually unserialized in production code. We tested this hypothesis by uploading Gerrit changes that deliberately break unserialization in vendor and Wikibase; none of the PHPUnit test failures look like they would happen in production code (they’re mainly direct tests for serialization/deserialization, plus some unit tests that use unserialize( serialize( $x ) ) as an alternative to clone $x), and the Selenium and api-testing jobs still succeeded.
  • Test plan:
    • How will it be verified?
    • CI has already verified for us that hashes of the affected classes, which are externally visible (especially in the RDF output), stay stable. Those hashes used to be based directly on the serialization of the classes, but we fixed that so that the hashes don’t change even when the serialization does.
    • No other specific test plans… logstash etc.
  • Places to monitor:
  • Revert plan: Rollback train, or Revert patch, or …
    • If the new serialization format causes issues when rolling back the train, we suggest backporting the vendor change to the previous train, so that the new serialization can still be deserialized.
    • Alternatively, if you prefer, we could try to backport the serialization changes during the wmf.7 train already.
  • Affected wikis: Almost all wikis (wikibaserepo + wikidataclient + wikidataclient-test).
  • IRC contact: Lucas_WMDE, hoo, Michael_WMDE
  • UBN Task Projects/tags: Wikidata Dev Team (Sprint-∞)
  • Would you like to backport this change rather than ride the train?: No, but if you prefer it, it’s probably a viable option (see revert plan)
thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jnuche.
thcipriani set the point value for this task to 5.

Change 851030 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.8] Branch commit for wmf/1.40.0-wmf.8

https://gerrit.wikimedia.org/r/851030

Change 851030 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.8] Branch commit for wmf/1.40.0-wmf.8

https://gerrit.wikimedia.org/r/851030

Change 851179 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/851179

Change 851179 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/851179

Mentioned in SAL (#wikimedia-operations) [2022-11-01T03:02:32Z] <mwpresync@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.8 refs T320513

Mentioned in SAL (#wikimedia-operations) [2022-11-01T03:36:28Z] <mwpresync@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.8 refs T320513 (duration: 33m 56s)

Mentioned in SAL (#wikimedia-operations) [2022-11-01T14:59:10Z] <dancy@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.8 refs T320513

Mentioned in SAL (#wikimedia-operations) [2022-11-01T15:04:23Z] <dancy@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.8 refs T320513 (duration: 05m 05s)

Mentioned in SAL (#wikimedia-operations) [2022-11-01T18:07:07Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.8 refs T320513

Mentioned in SAL (#wikimedia-operations) [2022-11-01T18:11:25Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.8 refs T320513 (duration: 04m 18s)

Change 851697 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/851697

Change 851697 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/851697

Mentioned in SAL (#wikimedia-operations) [2022-11-01T18:18:14Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.8 refs T320513

Change 852258 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/852258

Change 852258 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/852258

Mentioned in SAL (#wikimedia-operations) [2022-11-02T18:07:04Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.8 refs T320513

Mentioned in SAL (#wikimedia-operations) [2022-11-02T18:10:37Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.8 refs T320513 (duration: 03m 43s)

Change 852986 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/852986

Change 852986 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.8

https://gerrit.wikimedia.org/r/852986

Mentioned in SAL (#wikimedia-operations) [2022-11-03T18:07:18Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.40.0-wmf.8 refs T320513